/** Shopify CDN: Minification failed

Line 165:0 Expected "}" to go with "{"

**/
variant-selects {
  display: block;
}


.product--no-media .product-form__input--pill,
.product--no-media .product-form__input--swatch,
.product--no-media .product-form__input--dropdown {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.product--no-media .product-form__input.product-form__input--pill,
.product--no-media .product-form__input.product-form__input--swatch {
  flex-wrap: wrap;
  margin: 0 auto 1.2rem auto;
}

.product--no-media .product-form__input--dropdown {
  flex-direction: column;
  max-width: 100%;
}

:is(.product-form__input--pill, .product-form__input--swatch) .form__label,
.product-form__input legend {
  margin-bottom: 12px !important;
  font-size: 13px !important; /* Shrinks heading text */
  letter-spacing: 0.5px !important;
  font-weight: 400 !important;
}

.product-form__input input[type='radio'] {
  clip: rect(0, 0, 0, 0);
  overflow: hidden;
  position: absolute;
  height: 1px;
  width: 1px;
}

.product-form__input input[type='radio']:not(.disabled):not(.visually-disabled) + label > .label-unavailable {
  display: none;
}

.product-form__input--dropdown {
  --swatch-input--size: 2rem;
  margin-bottom: 1.6rem;
}

.product-form__input--dropdown .dropdown-swatch + select {
  padding-inline-start: calc(2.4rem + var(--swatch-input--size));
}

.product-form__input--dropdown .dropdown-swatch {
  position: absolute;
  left: 1.6rem;
  top: calc(50% - var(--swatch-input--size) / 2);
  width: var(--swatch-input--size);
  height: var(--swatch-input--size);
  z-index: 1;
}

/* Custom styles for Pill display type */
.product-form__input--pill input[type='radio'] + label {
  border: 1px solid #dcdcdc !important;
  background-color: transparent !important;
  color: #000 !important;
  border-radius: 0 !important;
  display: inline-flex !important;
  align-items: center !important;
  justify-content: center !important;
  margin: 0 0.5rem 0.5rem 0 !important;
  padding: 0 !important;
  min-width: 85px !important; /* Widens the boxes */
  height: 42px !important;
  font-size: 12px !important; /* Shrinks the text */
  letter-spacing: 0 !important;
  line-height: 1 !important;
  cursor: pointer !important;
  box-shadow: none !important;
}

.product-form__input--pill input[type='radio'] + label:before {
  display: none !important;
}

.product-form__input--pill input[type='radio'] + label:hover {
  border-color: rgb(var(--color-foreground));
}

.product-form__input--pill input[type='radio']:checked + label {
  background-color: #faecea !important; /* Blush pink */
  border-color: #e0cecc !important; /* Pink border */
  color: #000 !important; /* Black text */
}

@media screen and (forced-colors: active) {
  .product-form__input--pill input[type='radio']:checked + label {
    text-decoration: underline;
  }

  .product-form__input--pill input[type='radio']:focus-visible + label,
.product-form__input--pill input[type='radio'].focused + label {
  box-shadow: none !important;
  outline: none !important;
}

.product-form__input--pill input[type='radio']:checked + label::selection {
  background-color: rgba(var(--color-background), 0.3);
}

.product-form__input--pill input[type='radio']:disabled + label,
.product-form__input--pill input[type='radio'].disabled + label {
  border-color: rgba(var(--color-foreground)/ 0.1);
  color: rgba(var(--color-foreground)/ 0.6);
  text-decoration: line-through;
}

.product-form__input--pill input[type='radio'].disabled:checked + label,
.product-form__input--pill input[type='radio']:disabled:checked + label {
  color: rgba(var(--color-background), 0.6);
}
.product-form__input--pill input[type='radio']:focus-visible + label {
  box-shadow: 0 0 0 0.3rem rgb(var(--color-background)), 0 0 0 0.5rem rgba(var(--color-foreground)/ 0.55);
}

/* Fallback */
.product-form__input--pill input[type='radio'].focused + label {
  box-shadow: 0 0 0 0.3rem rgb(var(--color-background)), 0 0 0 0.5rem rgba(var(--color-foreground)/ 0.55);
}

/* Custom styles for Swatch display type */
.product-form__input--swatch {
  display: flex;
  flex-wrap: wrap;
}

.product-form__input--swatch .swatch-input__input + .swatch-input__label {
  --swatch-input--size: 3.6rem;
  margin-block-start: 0.7rem;
  margin-block-end: 0.2rem;
  margin-inline-start: 0;
  margin-inline-end: 1.2rem;
}

@media screen and (min-width: 750px) {
  .product-form__input--swatch .swatch-input__input + .swatch-input__label {
    --swatch-input--size: 2.8rem;
  }
}

.hide-sold-out-variants .product-form__input input[type='radio'].disabled + .swatch-block{
  display: none !important;
}
.hide-sold-out-variants .product-form__input--dropdown select option.disabled {
  display: none !important;
}

